Subject: Re: bug#72808: 30.0.90; editorconfig doesn't set tab_width to a default value

From: Eli Zaretskii <[email-masked]>
Date: Sat, 21 Sep 2024 12:07:43 +0300

tags 72808 wontfix
close 72808
thanks

> From: Stefan Monnier <[email-masked]>
> Cc: Damien Cassou <[email-masked]>,  [email-masked],
>   [email-masked],  [email-masked]
> Date: Sun, 08 Sep 2024 07:25:17 -0400
> 
> >> The problem is that the .editorconfig file can be shared across users of
> >> different editors for a given project. Emacs disagreeing with the
> >> standard means that Emacs users will now have to explain to their
> >> colleagues why they are introducing a change in a .editorconfig file
> >> that the standard says is unnecessary. This is putting me, at least, in
> >> an uncomfortable position with non-Emacs users in my team. Additionally,
> >> if other editors disagree with the standard for other reasons, we may
> >> quickly reach a situation where no content of .editorconfig will suit
> >> everyone.
> > Stefan, any further comments, or should we close this as wontfix?
> 
> I think Damien's argument makes a lot of sense.
> I think mine makes sense as well.
> I can't really judge which one will work out more often right, but as
> the writer of the code I decided to try out my choice.
> 
> But I don't have a really strong opinion about it (I do have a strong
> opinion that the EditorConfig standard's choice is wrong, but not
> whether we should follow it or not): if you think Damien's preference is
> better for Emacs, I'm fine to make the change.
> 
> Otherwise, I suggest we leave it like that for Emacs-30 and see how
> things turn out.

I'm okay with closing this as wontfix.  Let's see if we have more
complaints like this.